
sepia - Bug #12032

activate beanstalkd logs

06/16/2015 08:04 AM - Loïc Dachary

Status: Resolved % Done: 0%

Priority: Urgent   

Assignee: Zack Cerza   

Category:    

Target version:    

Source: other Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

When beanstalk is unresponsive (see http://tracker.ceph.com/issues/12031), it would be nice to see logs that may explain the source

of the problem.

Edit /etc/init.d/beanstalkd on teuthology, uncomment

#LOGDIR=/var/log/beanstalkd  # Log directory to use

Related issues:

Related to sepia - Bug #12031: unable to schedule jobs on sepia (beanstalkd u... Resolved 06/16/2015

History

#1 - 02/05/2016 09:50 PM - Zack Cerza

- Assignee set to Zack Cerza

#2 - 02/11/2016 05:18 PM - Zack Cerza

I set the following:

$ grep LOG /etc/init.d/beanstalkd

LOGDIR=/var/log/beanstalkd  # Log directory to use

LOGFILE=$LOGDIR/$NAME.log  # Server logfile

 

Then created /var/log/beanstalkd/ and restarted; days later and no logs :-/

#3 - 09/15/2016 08:47 AM - Ian Colle

https://github.com/kr/beanstalkd/issues/229

Hrm - Zack - please see above for their unsatisfying answer

#4 - 12/05/2019 09:41 PM - Patrick Donnelly
http://tracker.ceph.com/issues/12031
https://github.com/kr/beanstalkd/issues/229


- Status changed from 12 to New

#5 - 05/17/2023 03:20 PM - Laura Flores

- Status changed from New to Resolved
